## libtemplates-parser 19

=== Makefile ===
############################################################################
#                              Ada Web Server                              #
#                                                                          #
#                     Copyright (C) 2003-2017, AdaCore                     #
#                                                                          #
#  This is free software;  you can redistribute it  and/or modify it       #
#  under terms of the  GNU General Public License as published  by the     #
#  Free Software  Foundation;  either version 3,  or (at your option) any  #
#  later version.  This software is distributed in the hope  that it will  #
#  be useful, but WITHOUT ANY WARRANTY;  without even the implied warranty #
#  of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU     #
#  General Public License for  more details.                               #
#                                                                          #
#  You should have  received  a copy of the GNU General  Public  License   #
#  distributed  with  this  software;   see  file COPYING3.  If not, go    #
#  to http://www.gnu.org/licenses for a complete copy of the license.      #
############################################################################

.SILENT:

VERSION	= 19.0

DEBUG        = false
TP_TASKING   = Standard_Tasking
PROCESSORS   = 0
HOST	     = $(shell gcc -dumpmachine)
TARGET	     = $(shell gcc -dumpmachine)
prefix	     = $(dir $(shell which gnatls))..
DEFAULT_LIBRARY_TYPE	= static

ENABLE_STATIC = true
ENABLE_SHARED = $(shell $(GNAT) make -c -q -p -XTARGET=$(TARGET) \
			-Pconfig/setup/test_shared 2>/dev/null && echo "true")

ifeq ($(shell gnat ls -Pxmlada 2>&1 | grep 'project file .* not found'),)
TP_XMLADA    = Installed
else
TP_XMLADA    = Disabled
endif

-include makefile.setup

ifeq ($(HOST), $(TARGET))
IS_CROSS	= false
GPROPTS		=
TPREFIX=$(DESTDIR)$(prefix)
else
IS_CROSS	= true
GPROPTS		= --target=$(TARGET)
TPREFIX=$(DESTDIR)$(prefix)/$(TARGET)
endif

MODE		= $(if $(filter-out true,$(DEBUG)),release,debug)
SDIR		= $(TARGET)/$(MODE)

GNAT		= gnat
GPRBUILD	= gprbuild
GPRINSTALL	= gprinstall
GPRCLEAN	= gprclean

#  Install directories

ifeq (${OS}, Windows_NT)
EXEEXT	= .exe
else
EXEEXT	=
endif

#  Compute the default library kind, and possibly the other that are to
#  be built.

ifeq ($(DEFAULT_LIBRARY_TYPE),static)
ifneq ($(ENABLE_STATIC),true)
$(error static not enabled, cannot be the default)
else
ifeq ($(ENABLE_SHARED),true)
OTHER_LIBRARY_TYPE	= relocatable
endif
endif

else
ifneq ($(ENABLE_SHARED),true)
$(error shared not enabled, cannot be the default)
else
ifeq ($(ENABLE_STATIC),true)
OTHER_LIBRARY_TYPE	= static
endif
endif
endif

ifeq ($(DEBUG), true)
PRJ_BUILD=Debug
else
PRJ_BUILD=Release
endif

ifeq ($(TP_XMLADA),)
TP_XMLADA=Disabled
endif

ALL_OPTIONS := \
 DEBUG \
 DEFAULT_LIBRARY_TYPE \
 ENABLE_SHARED \
 ENABLE_STATIC \
 GNAT \
 GPRBUILD \
 GPRCLEAN \
 PRJ_BUILD \
 PROCESSORS \
 SDIR \
 TARGET \
 TP_XMLADA \
 VERSION \
 prefix

GPROPTS += $(foreach v, \
 PRJ_BUILD TP_XMLADA PROCESSORS TARGET VERSION \
 ,"-X$(v)=$($(v))")

GPR_DEFAULT = -XLIBRARY_TYPE=$(DEFAULT_LIBRARY_TYPE) \
		-XXMLADA_BUILD=$(DEFAULT_LIBRARY_TYPE)
GPR_OTHER   = -XLIBRARY_TYPE=$(OTHER_LIBRARY_TYPE) \
		-XXMLADA_BUILD=$(OTHER_LIBRARY_TYPE)

#######################################################################
#  build

build: tp_xmlada.gpr makefile.setup
	$(GPRBUILD) -p $(GPROPTS) $(GPR_DEFAULT) \
		--subdirs=$(SDIR)/$(DEFAULT_LIBRARY_TYPE) -Ptemplates_parser
ifneq ($(OTHER_LIBRARY_TYPE),)
	$(GPRBUILD) -p $(GPROPTS) $(GPR_OTHER) \
		--subdirs=$(SDIR)/$(OTHER_LIBRARY_TYPE) -Ptemplates_parser
endif
	$(GPRBUILD) -p $(GPROPTS) $(GPR_DEFAULT) \
		--subdirs=$(SDIR)/$(DEFAULT_LIBRARY_TYPE) -Ptools/tools

run_regtests test: build makefile.setup
	$(MAKE) -C regtests test

DOC_FORMATS := html latexpdf
build-doc: tp_xmlada.gpr makefile.setup
	$(MAKE) -C docs $(DOC_FORMATS)
	echo Templates_Parser Documentation built with success.

#######################################################################
#  setup

tp_xmlada.gpr:
ifeq ($(TP_XMLADA), Installed)
	cp config/tp_xmlada_installed.gpr tp_xmlada.gpr
else
	cp config/tp_xmlada_dummy.gpr tp_xmlada.gpr
endif

force:

makefile.setup: setup

setup: tp_xmlada.gpr force
	printf " $(foreach v,$(ALL_OPTIONS),$(v) = $($(v))\n)" > makefile.setup

#######################################################################
#  install

install-clean:
ifneq (,$(wildcard $(TPREFIX)/share/gpr/manifests/templates_parser))
	-$(GPRINSTALL) $(GPROPTS) --uninstall \
		--prefix=$(TPREFIX) templates_parser
endif

GPRINST_OPTS=-p -f --prefix=$(TPREFIX) \
	--build-var=LIBRARY_TYPE --build-var=TEMPLATES_PARSER_BUILD

install: install-clean
	$(GPRINSTALL) $(GPROPTS) $(GPR_DEFAULT) $(GPRINST_OPTS) \
		--subdirs=$(SDIR)/$(DEFAULT_LIBRARY_TYPE) \
		--build-name=$(DEFAULT_LIBRARY_TYPE) -Ptemplates_parser
ifneq ($(OTHER_LIBRARY_TYPE),)
	$(GPRINSTALL) $(GPROPTS) $(GPR_OTHER) $(GPRINST_OPTS) \
		--build-name=$(OTHER_LIBRARY_TYPE) \
		--subdirs=$(SDIR)/$(OTHER_LIBRARY_TYPE) -Ptemplates_parser
endif
	$(GPRINSTALL) $(GPROPTS) $(GPR_DEFAULT) $(GPRINST_OPTS) \
		--mode=usage --subdirs=$(SDIR)/$(DEFAULT_LIBRARY_TYPE) \
		--install-name=templates_parser -Ptools/tools

#######################################################################
#  clean

clean:
	-$(GPRCLEAN) $(GPR_DEFAULT) $(GPROPTS) -Ptemplates_parser
	-$(GPRCLEAN) $(GPR_DEFAULT) $(GPROPTS) -Ptools/tools
ifneq ($(OTHER_LIBRARY_TYPE),)
	-$(GPRCLEAN) $(GPR_OTHER) $(GPROPTS) -Ptemplates_parser
endif
	$(MAKE) -C docs clean
	$(MAKE) -C regtests clean
	rm -f auto.cgpr config/setup/auto.cgpr
	rm -fr .build makefile.setup
	rm -f config/setup/foo.ali config/setup/foo.o tp_xmlada.gpr

=== docs/Makefile ===
############################################################################
#                              Ada Web Server                              #
#                                                                          #
#                     Copyright (C) 2003-2017, AdaCore                     #
#                                                                          #
#  This is free software;  you can redistribute it  and/or modify it       #
#  under terms of the  GNU General Public License as published  by the     #
#  Free Software  Foundation;  either version 3,  or (at your option) any  #
#  later version.  This software is distributed in the hope  that it will  #
#  be useful, but WITHOUT ANY WARRANTY;  without even the implied warranty #
#  of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU     #
#  General Public License for  more details.                               #
#                                                                          #
#  You should have  received  a copy of the GNU General  Public  License   #
#  distributed  with  this  software;   see  file COPYING3.  If not, go    #
#  to http://www.gnu.org/licenses for a complete copy of the license.      #
############################################################################

# Makefile for Sphinx documentation
#

# default value if this Makefile is called directly on not from above
# Makefile.

GPRBUILD  := gprbuild
PRJ_BUILD := Release

-include ../makefile.setup

TMPLDIR  := src
ADBDIR   := src
EXEDIR   := build/bin/$(SDIR)/static
RESDIR   := build/samples
ADBFILES := $(wildcard $(ADBDIR)/*.adb)
EXEFILES := $(patsubst $(ADBDIR)/%.adb,%,$(ADBFILES))
RESFILES := $(foreach e,$(EXEFILES),$(RESDIR)/$(e).adb.res)

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -fr $(BUILDDIR)
	rm -f *.pyc

# All documentations require the generated examples.
html dirhtml singlehtml pickle json htmlhelp qthelp latex latexpdf text man texinfo info: $(RESFILES)

$(RESFILES): $(RESDIR)/%.adb.res: build-sample | $(RESDIR)
	( cd $(TMPLDIR) && ../$(EXEDIR)/$* ) > $@

$(RESDIR):
	mkdir $@

.PHONY: build-sample
build-sample:
	$(GPRBUILD) -p -m -Pdocs $(EXEFILES) \
	  --subdirs=$(SDIR)/static \
	  $(foreach v,PRJ_BUILD TARGET VERSION,"-X$(v)=$($(v))")

# Executable and result will be removed with BUILDDIR.

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Templates_Parser.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Templates_Parser.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Templates_Parser"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Templates_Parser"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf \
		LATEXOPTS="-interaction=nonstopmode"
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

=== regtests/Makefile ===
############################################################################
#                              Ada Web Server                              #
#                                                                          #
#                     Copyright (C) 2003-2017, AdaCore                     #
#                                                                          #
#  This is free software;  you can redistribute it  and/or modify it       #
#  under terms of the  GNU General Public License as published  by the     #
#  Free Software  Foundation;  either version 3,  or (at your option) any  #
#  later version.  This software is distributed in the hope  that it will  #
#  be useful, but WITHOUT ANY WARRANTY;  without even the implied warranty #
#  of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU     #
#  General Public License for  more details.                               #
#                                                                          #
#  You should have  received  a copy of the GNU General  Public  License   #
#  distributed  with  this  software;   see  file COPYING3.  If not, go    #
#  to http://www.gnu.org/licenses for a complete copy of the license.      #
############################################################################

.SILENT:

-include ../makefile.setup

build:
	$(GPRBUILD) -q -p -XLIBRARY_TYPE=$(DEFAULT_LIBRARY_TYPE) \
		$(foreach v,PRJ_BUILD TARGET VERSION,"-X$(v)=$($(v))") \
		--subdirs=$(SDIR)/$(DEFAULT_LIBRARY_TYPE) -Pregtests

test:  build
	PRJ_BUILD="$(PRJ_BUILD)" PATH=.:${PATH} ./testsuite.py --jobs=4

clean:
	-$(GPRCLEAN) -XLIBRARY_TYPE=$(DEFAULT_LIBRARY_TYPE) \
		$(foreach v,PRJ_BUILD TARGET VERSION,"-X$(v)=$($(v))") \
		--subdirs=$(SDIR)/$(DEFAULT_LIBRARY_TYPE) -Pregtests
	rm -fr out
	rm -f *.pyc

=== debian/changelog ===
libtemplates-parser (19-3) unstable; urgency=medium

  * Standards-Version: 4.3.0.
  * Rules-Requires-Root: no.
  * doc-no-project-language.diff: removey an unused language from
    docs/docs.pgr, as gprbuild becomes more picky. Closes: #917499.
  * Link with -Wl,--as-needed -Wl,--no-undefined.
  * Enable parallel build for documentation now that #869098 is fixed.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 29 Dec 2018 21:07:28 +0100

libtemplates-parser (19-2) unstable; urgency=medium

  * Rebuild in unstable for gnat-8 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 27 Oct 2018 15:10:04 +0200

libtemplates-parser (19-1) experimental; urgency=medium

  * New upstream release. No ALI/SO renaming in experimental.
  * Package the pure GPL releases. Explain the version in README.source.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 23 Jun 2018 20:00:45 +0200

libtemplates-parser (17.2-4) experimental; urgency=medium

  * Rebuild with gnat-8, libxmlada-*8-dev.
    Rename shared library and -dev package per Debian Ada policy.
  * Debhelper 11.
  * Drop obsolete version restriction on dpkg-dev.
  * Standards-Version: 4.1.4.
  * Add forgotten sphinxdoc:Built-Using substitution variable.
  * Delete trailing white spaces in this changelog.
  * Split line in debian/patches/series to help lintian.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 08 May 2018 16:53:01 +0200

=== debian/control ===
Source: libtemplates-parser
Section: libdevel
Priority: optional
Maintainer: Ludovic Brenta <lbrenta@debian.org>
Uploaders: Xavier Grave <xavier.grave@csnsm.in2p3.fr>,
 Nicolas Boulenguez <nicolas@debian.org>
Build-Depends: debhelper (>= 11),
 gnat, gnat-8,
# This line is parsed by d/rules.
# gnat-v provides /usr/share/ada/debian_packaging-v.mk
 gprbuild (>= 2017),
# This version cleans auto.cgpr after the build.
 dh-ada-library (>= 6.9),
# dh-ada-library searching projects in new /usr/share/gpr.
# See xsrc/templates_parser-xml.adb.
 libxmlada-unicode8-dev,
 libxmlada-input8-dev,
 libxmlada-sax8-dev,
 libxmlada-dom8-dev,
Build-Depends-Indep: texinfo,
 python3-sphinx,
 latexmk,
# Sphinx >= 1.6 uses the latexmk driver.
 texlive-fonts-recommended,
# sphinx-doc requires iftex.sty:
 texlive-plain-generic,
 texlive-latex-extra,
 texlive-latex-recommended
# sphinx-common provides dh_sphinxdoc
 ,sphinx-common
Standards-Version: 4.3.0
Rules-Requires-Root: no
Homepage: https://www.adacore.com/community
Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.libtemplates-parser
Vcs-Mtn: mtn://www.ada-france.org?org.debian.libtemplates-parser

Package: libtemplates-parser12-dev
Architecture: any
Depends: ${ada:Depends}, ${shlibs:Depends}, ${misc:Depends}
# No need to Depend: libxmlada*-dev
# because the generated project does not need to import "xmlada.gpr"
# because XMLada is only used by a body in templates-parser.
Suggests: libtemplates-parser-doc
Description: Ada library to parse files and replace variables
 The main goal is to ease the development of Web servers. In CGI
 (Common Gateway Interface) applications, you have to write  HTML pages in
 the program (in Ada or whatever other language) by using some specific
 libraries or by using only basic output functions.  This is of course not
 mandatory but by lack of a good library every Web development ends up doing
 just that.  Templates Parser takes that burden off of you.
 .
 This package contains the static libraries, documentation, tools and Ada
 specification files.

Package: libtemplates-parser18
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: Ada library to parse files and replace variables (runtime)
 The main goal is to ease the development of Web servers. In CGI
 (Common Gateway Interface) applications, you have to write  HTML pages in
 the program (in Ada or whatever other language) by using some specific
 libraries or by using only basic output functions.  This is of course not
 mandatory but by lack of a good library every Web development ends up doing
 just that.  Templates Parser takes that burden off of you.
 .
 This package contains the runtime shared library.

Package: libtemplates-parser-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Built-Using: ${sphinxdoc:Built-Using}
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Suggests: gnat
Description: Ada library to parse files and replace variables (documentation)
 The main goal is to ease the development of Web servers. In CGI
 (Common Gateway Interface) applications, you have to write  HTML pages in
 the program (in Ada or whatever other language) by using some specific
 libraries or by using only basic output functions.  This is of course not
 mandatory but by lack of a good library every Web development ends up doing
 just that.  Templates Parser takes that burden off of you.
 .
 This package contains the documentation for developers using the library.

=== debian/rules ===
#!/usr/bin/make -f
# Build script for Templates_Parser in Debian.
# Copyright (c) 2003-2008 Ludovic Brenta <lbrenta@debian.org>
# Copyright (c) 2013-2017 Nicolas Boulenguez <nicolas@debian.org>

# This build script is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 3 of the
# License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, see <http://www.gnu.org/licenses/>.

# On Debian systems, the full text of the GPL is in the file
# /usr/share/common-licenses/GPL-3.

$(foreach line,$(shell sed -n '\
  s/^ gnat, gnat-\(.*\),$$/ \
    GNAT_VERSION:=\1 \
  /p;\
  s/^Package: lib[a-z-]\+\([0-9.]\+\)$$/ \
    SOVERSION:=\1 \
  /p;\
  ' debian/control),$(eval $(line)))

DEB_BUILD_MAINT_OPTIONS := hardening=+all
DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed -Wl,--no-undefined
include /usr/share/dpkg/default.mk
include /usr/share/ada/debian_packaging-$(GNAT_VERSION).mk
BUILDER_OPTIONS := $(filter-out -j$(BUILDER_JOBS),$(BUILDER_OPTIONS))

# Some of these options are stored into makefile.setup, but not all.
MAKE_OPTS := \
  VERSION=$(SOVERSION) \
  DEFAULT_LIBRARY_TYPE=relocatable \
  GPRBUILD="gprbuild $(BUILDER_OPTIONS) $(foreach v,ADAFLAGS LDFLAGS,'-X$(v)=$($(v))')" \
  PROCESSORS=$(BUILDER_JOBS) \
  DOC_FORMATS="html info latexpdf text"

######################################################################
%:
	dh $@ --with ada-library

# Avoid DebHelper default calls to usual Make targets.
.PHONY: $(addprefix override_dh_auto_, \
  configure build-arch build-indep test install clean)

# Force reconfiguration.
override_dh_auto_configure:
	rm -f makefile.setup tp_xmlada.gpr

override_dh_auto_build-arch:
	$(MAKE) $(MAKE_OPTS)

override_dh_auto_build-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	$(MAKE) build-doc $(MAKE_OPTS) SPHINXOPTS=-j$(BUILDER_JOBS)
endif

override_dh_auto_clean:
	$(MAKE) clean $(MAKE_OPTS)
	rm -f config/setup/foo.ads.std*
	rm -fr docs/__pycache__

######################################################################
.PHONY: override_dh_ada_library-indep
.PHONY: override_dh_ada_library-arch
override_dh_ada_library-arch:
 # NOTE:
 # xmlada_*.gpr are not imported directly by upstream build project, so
 # - ada:Depends for the -dev package will not contain libxmlada*-dev.
 # - the generated project will not contain with "xmlada_*.gpr".
 # This is OK as long as XMLAda is only used in bodies and not in specs.
	dh_ada_library \
	  PRJ_BUILD=release TP_XMLADA=Installed LIBRARY_TYPE=relocatable \
	  VERSION=ignored TARGET=$(DEB_HOST_GNU_TYPE) templates_parser.gpr

# Mimic 'dh --with sphinxdoc', but without adding sphinx-common to
# Build-Depends for arch-only builds.
.PHONY: override_dh_installdocs-indep
override_dh_installdocs-indep:
	dh_installdocs -i
	dh_sphinxdoc

.PHONY: override_dh_compress
override_dh_compress:
	dh_compress --package=libtemplates-parser-doc --exclude=examples/templates.tads
	dh_compress --remaining-packages

## libtemplates-parser 20

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 ############################################################################
 #                              Ada Web Server                              #
 #                                                                          #
-#                     Copyright (C) 2003-2017, AdaCore                     #
+#                     Copyright (C) 2003-2018, AdaCore                     #
 #                                                                          #
 #  This is free software;  you can redistribute it  and/or modify it       #
 #  under terms of the  GNU General Public License as published  by the     #
@@ -18,7 +18,7 @@
 
 .SILENT:
 
-VERSION	= 19.0
+VERSION	= 20.0
 
 DEBUG        = false
 TP_TASKING   = Standard_Tasking
@@ -114,7 +114,7 @@
  VERSION \
  prefix
 
-GPROPTS += $(foreach v, \
+override GPROPTS += $(foreach v, \
  PRJ_BUILD TP_XMLADA PROCESSORS TARGET VERSION \
  ,"-X$(v)=$($(v))")

=== debian/changelog ===
libtemplates-parser (20-3) unstable; urgency=medium

  * Reupload to unstable for gnat-9 transition.
  * Use debhelper 12 dh-sequenc syntax for ada-library and sphinxdoc.
  * Standards-Version: 4.5.0.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 25 Feb 2020 15:12:56 +0100

libtemplates-parser (20-2) experimental; urgency=medium

  * Use dh-sequence-* syntax for dh-ada-library.
  * Select specific dpkg-dev Makefile snippets.
  * Fix typo in Vcs-Git URL.
  * Bump Standards-Version.
  * Wrap and sort build dependencies.
  * Update ADTTMP variable name in autopkgtest.
  * Prevent a warning about doc-main-package autodetection.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 31 Dec 2019 12:33:09 +0100

libtemplates-parser (20-1) experimental; urgency=medium

  * New upstream release. Rebuild with GCC-9 and updated dependencies.
    Rename library and -dev packages per Ada policy.
  * Move Vcs-* to salsa.debian.org.
  * Enable various linker warnings. --as-needed is the default in gcc-9,
    removing the need for handle_build_flags.diff.
  * Debhelper 12. Examples are not compressed by default anymore.
  * Standards-Version 4.4.0.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 25 Aug 2019 21:58:56 +0200

=== debian/control ===
--- 
+++ 
@@ -4,37 +4,38 @@
 Maintainer: Ludovic Brenta <lbrenta@debian.org>
 Uploaders: Xavier Grave <xavier.grave@csnsm.in2p3.fr>,
  Nicolas Boulenguez <nicolas@debian.org>
-Build-Depends: debhelper (>= 11),
- gnat, gnat-8,
+Build-Depends:
+ debhelper-compat (= 12),
+ gnat, gnat-9,
 # This line is parsed by d/rules.
 # gnat-v provides /usr/share/ada/debian_packaging-v.mk
  gprbuild (>= 2017),
 # This version cleans auto.cgpr after the build.
- dh-ada-library (>= 6.9),
-# dh-ada-library searching projects in new /usr/share/gpr.
 # See xsrc/templates_parser-xml.adb.
- libxmlada-unicode8-dev,
- libxmlada-input8-dev,
- libxmlada-sax8-dev,
- libxmlada-dom8-dev,
-Build-Depends-Indep: texinfo,
+ libxmlada-dom9-dev,
+ libxmlada-input9-dev,
+ libxmlada-sax9-dev,
+ libxmlada-unicode9-dev,
+Build-Depends-Arch:
+ dh-sequence-ada-library,
+Build-Depends-Indep:
+ dh-sequence-sphinxdoc,
+ latexmk,
  python3-sphinx,
- latexmk,
+ texinfo,
 # Sphinx >= 1.6 uses the latexmk driver.
  texlive-fonts-recommended,
+ texlive-latex-extra,
+ texlive-latex-recommended,
 # sphinx-doc requires iftex.sty:
  texlive-plain-generic,
- texlive-latex-extra,
- texlive-latex-recommended
-# sphinx-common provides dh_sphinxdoc
- ,sphinx-common
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Rules-Requires-Root: no
 Homepage: https://www.adacore.com/community
-Vcs-Browser: http://www.ada-france.org:8081/branch/changes/org.debian.libtemplates-parser
-Vcs-Mtn: mtn://www.ada-france.org?org.debian.libtemplates-parser
+Vcs-Browser: https://salsa.debian.org/debian/libtemplates-parser
+Vcs-Git: https://salsa.debian.org/debian/libtemplates-parser.git
 
-Package: libtemplates-parser12-dev
+Package: libtemplates-parser13-dev
 Architecture: any
 Depends: ${ada:Depends}, ${shlibs:Depends}, ${misc:Depends}
 # No need to Depend: libxmlada*-dev
@@ -52,7 +53,7 @@
  This package contains the static libraries, documentation, tools and Ada
  specification files.
 
-Package: libtemplates-parser18
+Package: libtemplates-parser19
 Section: libs
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}

=== debian/rules ===
#!/usr/bin/make -f
# Build script for Templates_Parser in Debian.
# Copyright (c) 2003-2008 Ludovic Brenta <lbrenta@debian.org>
# Copyright (c) 2013-2020 Nicolas Boulenguez <nicolas@debian.org>

# This build script is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 3 of the
# License, or (at your option) any later version.

# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, see <http://www.gnu.org/licenses/>.

# On Debian systems, the full text of the GPL is in the file
# /usr/share/common-licenses/GPL-3.

$(foreach line,$(shell sed -n '\
  s/^ gnat, gnat-\(.*\),$$/ \
    GNAT_VERSION:=\1 \
  /p;\
  s/^Package: lib[a-z-]\+\([0-9.]\+\)$$/ \
    SOVERSION:=\1 \
  /p;\
  ' debian/control),$(eval $(line)))

DEB_BUILD_MAINT_OPTIONS := hardening=+all
DEB_LDFLAGS_MAINT_APPEND := -Wl,--no-undefined \
  -Wl,--no-copy-dt-needed-entries -Wl,--no-allow-shlib-undefined
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk
include /usr/share/ada/debian_packaging-$(GNAT_VERSION).mk
BUILDER_OPTIONS := $(filter-out -j$(BUILDER_JOBS),$(BUILDER_OPTIONS))

# Some of these options are stored into makefile.setup, but not all.
MAKE_OPTS := \
  VERSION=$(SOVERSION) \
  DEFAULT_LIBRARY_TYPE=relocatable \
  GPRBUILD="gprbuild $(BUILDER_OPTIONS) $(foreach v,ADAFLAGS LDFLAGS,'-X$(v)=$($(v))')" \
  PROCESSORS=$(BUILDER_JOBS) \
  DOC_FORMATS="html info latexpdf text"

######################################################################
%:
	dh $@

# Force reconfiguration.
.PHONY: override_dh_auto_configure
override_dh_auto_configure:
	rm -f makefile.setup tp_xmlada.gpr

.PHONY: override_dh_auto_build-arch
override_dh_auto_build-arch:
	$(MAKE) $(MAKE_OPTS)

.PHONY: override_dh_auto_build-indep
override_dh_auto_build-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	$(MAKE) build-doc $(MAKE_OPTS) SPHINXOPTS=-j$(BUILDER_JOBS)
endif

# Skip tests, they assume that the executables are in the PATH.
.PHONY: override_dh_auto_test

# dh_ada_library replaces the install step.
.PHONY: override_dh_auto_install

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	$(MAKE) clean $(MAKE_OPTS)
	rm -f config/setup/foo.ads.std*
	rm -fr docs/__pycache__

.PHONY: override_dh_ada_library
override_dh_ada_library:
 # xmlada_*.gpr are not imported directly by upstream build project, so
 # - ada:Depends for the -dev package will not contain libxmlada*-dev.
 # - the generated project will not contain with "xmlada_*.gpr".
 # This is OK as long as XMLAda is only used in bodies and not in specs.
	dh_ada_library \
	  PRJ_BUILD=release TP_XMLADA=Installed LIBRARY_TYPE=relocatable \
	  TARGET=$(DEB_HOST_GNU_TYPE) templates_parser.gpr

# Prevent a warning about doc-main-package autodetection.
doc_pkg := libtemplates-parser-doc
.PHONY: override_dh_installdocs override_dh_installexamples
override_dh_installdocs override_dh_installexamples: override_%:
	$* --package=$(doc_pkg) --doc-main-package=$(doc_pkg)
	$* --remaining-packages

## libtemplates-parser 21.0.0

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 ############################################################################
 #                              Ada Web Server                              #
 #                                                                          #
-#                     Copyright (C) 2003-2018, AdaCore                     #
+#                     Copyright (C) 2003-2020, AdaCore                     #
 #                                                                          #
 #  This is free software;  you can redistribute it  and/or modify it       #
 #  under terms of the  GNU General Public License as published  by the     #
@@ -23,29 +23,29 @@
 DEBUG        = false
 TP_TASKING   = Standard_Tasking
 PROCESSORS   = 0
-HOST	     = $(shell gcc -dumpmachine)
-TARGET	     = $(shell gcc -dumpmachine)
-prefix	     = $(dir $(shell which gnatls))..
+HOST         := $(shell gcc -dumpmachine)
+TARGET       := $(shell gcc -dumpmachine)
+prefix       := $(dir $(shell which gnatls))..
 DEFAULT_LIBRARY_TYPE	= static
 
+GNAT         := gnat
+
 ENABLE_STATIC = true
-ENABLE_SHARED = $(shell $(GNAT) make -c -q -p -XTARGET=$(TARGET) \
+ENABLE_SHARED := $(shell $(GNAT) make -c -q -p -XTARGET=$(TARGET) \
 			-Pconfig/setup/test_shared 2>/dev/null && echo "true")
 
 ifeq ($(shell gnat ls -Pxmlada 2>&1 | grep 'project file .* not found'),)
-TP_XMLADA    = Installed
+  TP_XMLADA := Installed
 else
-TP_XMLADA    = Disabled
+  TP_XMLADA := Disabled
 endif
 
 -include makefile.setup
 
 ifeq ($(HOST), $(TARGET))
-IS_CROSS	= false
 GPROPTS		=
 TPREFIX=$(DESTDIR)$(prefix)
 else
-IS_CROSS	= true
 GPROPTS		= --target=$(TARGET)
 TPREFIX=$(DESTDIR)$(prefix)/$(TARGET)
 endif
@@ -53,49 +53,33 @@
 MODE		= $(if $(filter-out true,$(DEBUG)),release,debug)
 SDIR		= $(TARGET)/$(MODE)
 
-GNAT		= gnat
 GPRBUILD	= gprbuild
 GPRINSTALL	= gprinstall
 GPRCLEAN	= gprclean
-
-#  Install directories
-
-ifeq (${OS}, Windows_NT)
-EXEEXT	= .exe
-else
-EXEEXT	=
-endif
 
 #  Compute the default library kind, and possibly the other that are to
 #  be built.
 
 ifeq ($(DEFAULT_LIBRARY_TYPE),static)
-ifneq ($(ENABLE_STATIC),true)
-$(error static not enabled, cannot be the default)
+  ifneq ($(ENABLE_STATIC),true)
+    $(error static not enabled, cannot be the default)
+  endif
+  ifeq ($(ENABLE_SHARED),true)
+    OTHER_LIBRARY_TYPE := relocatable
+  endif
 else
-ifeq ($(ENABLE_SHARED),true)
-OTHER_LIBRARY_TYPE	= relocatable
-endif
-endif
-
-else
-ifneq ($(ENABLE_SHARED),true)
-$(error shared not enabled, cannot be the default)
-else
-ifeq ($(ENABLE_STATIC),true)
-OTHER_LIBRARY_TYPE	= static
-endif
-endif
+  ifneq ($(ENABLE_SHARED),true)
+    $(error shared not enabled, cannot be the default)
+  endif
+  ifeq ($(ENABLE_STATIC),true)
+    OTHER_LIBRARY_TYPE := static
+  endif
 endif
 
 ifeq ($(DEBUG), true)
-PRJ_BUILD=Debug
+  PRJ_BUILD := Debug
 else
-PRJ_BUILD=Release
-endif
-
-ifeq ($(TP_XMLADA),)
-TP_XMLADA=Disabled
+  PRJ_BUILD := Release
 endif
 
 ALL_OPTIONS := \
@@ -200,3 +184,4 @@
 	rm -f auto.cgpr config/setup/auto.cgpr
 	rm -fr .build makefile.setup
 	rm -f config/setup/foo.ali config/setup/foo.o tp_xmlada.gpr
+	rm -f config/setup/foo.ads.std*

=== docs/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 ############################################################################
 #                              Ada Web Server                              #
 #                                                                          #
-#                     Copyright (C) 2003-2017, AdaCore                     #
+#                     Copyright (C) 2003-2019, AdaCore                     #
 #                                                                          #
 #  This is free software;  you can redistribute it  and/or modify it       #
 #  under terms of the  GNU General Public License as published  by the     #
@@ -80,7 +80,7 @@
 html dirhtml singlehtml pickle json htmlhelp qthelp latex latexpdf text man texinfo info: $(RESFILES)
 
 $(RESFILES): $(RESDIR)/%.adb.res: build-sample | $(RESDIR)
-	( cd $(TMPLDIR) && ../$(EXEDIR)/$* ) > $@
+	( cd $(TMPLDIR) > /dev/null && ../$(EXEDIR)/$* ) > $@
 
 $(RESDIR):
 	mkdir $@

=== debian/changelog ===
libtemplates-parser (21.0.0-2) unstable; urgency=medium

  * Reupload to unstable for gnat-10 transition.
  * Standards-Version: 4.5.1.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 13 Dec 2020 15:43:14 +0100

libtemplates-parser (21.0.0-1) experimental; urgency=medium

  * New upstream release (no renaming needed).
  * AdaCore now grants the GCC runtime exception to the GPL-3+ license.
  * AdaCore provides GitHub releases, replace README.source with watch file.
  * Merge upstream and debian copyright stanzas.
  * Add missing license for documentations.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 10 Oct 2020 15:16:38 +0000

libtemplates-parser (20.0-1) experimental; urgency=medium

  * New upstream release built with gnat-10. Rename lib and -dev accordingly.
  * Debhelper 13
  * Improve readability of rules and README.source.
  * Remove obsolete Pre-Depends

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 24 May 2020 00:43:25 +0000

=== debian/control ===
--- 
+++ 
@@ -5,17 +5,17 @@
 Uploaders: Xavier Grave <xavier.grave@csnsm.in2p3.fr>,
  Nicolas Boulenguez <nicolas@debian.org>
 Build-Depends:
- debhelper-compat (= 12),
- gnat, gnat-9,
+ debhelper-compat (= 13),
+ gnat, gnat-10,
 # This line is parsed by d/rules.
 # gnat-v provides /usr/share/ada/debian_packaging-v.mk
  gprbuild (>= 2017),
 # This version cleans auto.cgpr after the build.
 # See xsrc/templates_parser-xml.adb.
- libxmlada-dom9-dev,
- libxmlada-input9-dev,
- libxmlada-sax9-dev,
- libxmlada-unicode9-dev,
+ libxmlada-dom10-dev,
+ libxmlada-input10-dev,
+ libxmlada-sax10-dev,
+ libxmlada-unicode10-dev,
 Build-Depends-Arch:
  dh-sequence-ada-library,
 Build-Depends-Indep:
@@ -29,13 +29,13 @@
  texlive-latex-recommended,
 # sphinx-doc requires iftex.sty:
  texlive-plain-generic,
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
-Homepage: https://www.adacore.com/community
+Homepage: https://github.com/AdaCore/templates-parser
 Vcs-Browser: https://salsa.debian.org/debian/libtemplates-parser
 Vcs-Git: https://salsa.debian.org/debian/libtemplates-parser.git
 
-Package: libtemplates-parser13-dev
+Package: libtemplates-parser14-dev
 Architecture: any
 Depends: ${ada:Depends}, ${shlibs:Depends}, ${misc:Depends}
 # No need to Depend: libxmlada*-dev
@@ -53,10 +53,9 @@
  This package contains the static libraries, documentation, tools and Ada
  specification files.
 
-Package: libtemplates-parser19
+Package: libtemplates-parser20
 Section: libs
 Architecture: any
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: same
 Description: Ada library to parse files and replace variables (runtime)

=== debian/rules ===
--- 
+++ 
@@ -20,38 +20,33 @@
 # /usr/share/common-licenses/GPL-3.
 
 $(foreach line,$(shell sed -n '\
-  s/^ gnat, gnat-\(.*\),$$/ \
-    GNAT_VERSION:=\1 \
-  /p;\
-  s/^Package: lib[a-z-]\+\([0-9.]\+\)$$/ \
-    SOVERSION:=\1 \
-  /p;\
+  s/^ gnat, gnat-\([0-9.]\+\),$$/                GNAT_VERSION:=\1 /p;\
+  s/^Package: libtemplates-parser\([0-9.]\+\)$$/ SOVERSION:=\1    /p;\
   ' debian/control),$(eval $(line)))
 
+DPKG_EXPORT_BUILDFLAGS := 1
 DEB_BUILD_MAINT_OPTIONS := hardening=+all
-DEB_LDFLAGS_MAINT_APPEND := -Wl,--no-undefined \
-  -Wl,--no-copy-dt-needed-entries -Wl,--no-allow-shlib-undefined
+DEB_LDFLAGS_MAINT_APPEND := \
+  -Wl,--no-allow-shlib-undefined \
+  -Wl,--no-copy-dt-needed-entries \
+  -Wl,--no-undefined
 include /usr/share/dpkg/architecture.mk
 include /usr/share/dpkg/buildflags.mk
 include /usr/share/ada/debian_packaging-$(GNAT_VERSION).mk
-BUILDER_OPTIONS := $(filter-out -j$(BUILDER_JOBS),$(BUILDER_OPTIONS))
 
-# Some of these options are stored into makefile.setup, but not all.
+# Some options are stored into makefile.setup, but some are not.
+# All written options are read back, but some are overriden.
+# That is why we force all values on each Make.
 MAKE_OPTS := \
   VERSION=$(SOVERSION) \
   DEFAULT_LIBRARY_TYPE=relocatable \
-  GPRBUILD="gprbuild $(BUILDER_OPTIONS) $(foreach v,ADAFLAGS LDFLAGS,'-X$(v)=$($(v))')" \
+  GPRBUILD='gprbuild $(filter-out -j$(BUILDER_JOBS),$(BUILDER_OPTIONS))' \
   PROCESSORS=$(BUILDER_JOBS) \
   DOC_FORMATS="html info latexpdf text"
 
 ######################################################################
 %:
 	dh $@
-
-# Force reconfiguration.
-.PHONY: override_dh_auto_configure
-override_dh_auto_configure:
-	rm -f makefile.setup tp_xmlada.gpr
 
 .PHONY: override_dh_auto_build-arch
 override_dh_auto_build-arch:
@@ -72,7 +67,6 @@
 .PHONY: override_dh_auto_clean
 override_dh_auto_clean:
 	$(MAKE) clean $(MAKE_OPTS)
-	rm -f config/setup/foo.ads.std*
 	rm -fr docs/__pycache__
 
 .PHONY: override_dh_ada_library

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%templates-parser-$1.tar.gz%" \
https://github.com/AdaCore/templates-parser/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## libtemplates-parser 22.0.0

=== Makefile ===
--- 
+++ 
@@ -150,7 +150,7 @@
 
 install-clean:
 ifneq (,$(wildcard $(TPREFIX)/share/gpr/manifests/templates_parser))
-	-$(GPRINSTALL) $(GPROPTS) --uninstall \
+	-$(GPRINSTALL) $(GPROPTS) -f --uninstall \
 		--prefix=$(TPREFIX) templates_parser
 endif

=== debian/changelog ===
libtemplates-parser (22.0.0-3) unstable; urgency=medium

  * Prevent a race condition when Make runs several sphinx processes.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 08 Jun 2022 13:56:27 +0000

libtemplates-parser (22.0.0-2) unstable; urgency=medium

  * Reupload to unstable for the gnat-11 transition
  * Configure branch names for git-buildpackage
  * Require dh-ada-library 7.5, which generates ada:Depends differently

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 08 May 2022 18:52:52 +0200

libtemplates-parser (22.0.0-1) experimental; urgency=medium

  * Build new upstream version with gnat-11. Rename -dev package.
  * Build-Depend: tex-gyre for sphinx. Closes: 997410.
  * Standards-Version: 4.6.0.
  * In avoid-gprbuild-subdir-option.diff, keep parts required
    by Debian but remove parts refused upstream.
  * docs-mkdir-p.diff: fix a trivial build failure.
  * Use unversioned debian_packaging.mk from gnat package.
  * Force detection of installed libxmlada.
  * Add upstream metadata.
  * uscan: drop unneeded filenamemangle option.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 21 Mar 2022 08:01:29 +0000

=== debian/control ===
--- 
+++ 
@@ -6,22 +6,23 @@
  Nicolas Boulenguez <nicolas@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- gnat, gnat-10,
-# This line is parsed by d/rules.
-# gnat-v provides /usr/share/ada/debian_packaging-v.mk
+ gnat,
+ gnat-11,
  gprbuild (>= 2017),
 # This version cleans auto.cgpr after the build.
 # See xsrc/templates_parser-xml.adb.
- libxmlada-dom10-dev,
- libxmlada-input10-dev,
- libxmlada-sax10-dev,
- libxmlada-unicode10-dev,
+ libxmlada-dom11-dev,
+ libxmlada-input11-dev,
+ libxmlada-sax11-dev,
+ libxmlada-unicode11-dev,
 Build-Depends-Arch:
+ dh-ada-library (>= 7.5),
  dh-sequence-ada-library,
 Build-Depends-Indep:
  dh-sequence-sphinxdoc,
  latexmk,
  python3-sphinx,
+ tex-gyre,
  texinfo,
 # Sphinx >= 1.6 uses the latexmk driver.
  texlive-fonts-recommended,
@@ -29,13 +30,13 @@
  texlive-latex-recommended,
 # sphinx-doc requires iftex.sty:
  texlive-plain-generic,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/AdaCore/templates-parser
 Vcs-Browser: https://salsa.debian.org/debian/libtemplates-parser
 Vcs-Git: https://salsa.debian.org/debian/libtemplates-parser.git
 
-Package: libtemplates-parser14-dev
+Package: libtemplates-parser15-dev
 Architecture: any
 Depends: ${ada:Depends}, ${shlibs:Depends}, ${misc:Depends}
 # No need to Depend: libxmlada*-dev

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 # Build script for Templates_Parser in Debian.
 # Copyright (c) 2003-2008 Ludovic Brenta <lbrenta@debian.org>
-# Copyright (c) 2013-2020 Nicolas Boulenguez <nicolas@debian.org>
+# Copyright (c) 2013-2022 Nicolas Boulenguez <nicolas@debian.org>
 
 # This build script is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License as
@@ -19,10 +19,8 @@
 # On Debian systems, the full text of the GPL is in the file
 # /usr/share/common-licenses/GPL-3.
 
-$(foreach line,$(shell sed -n '\
-  s/^ gnat, gnat-\([0-9.]\+\),$$/                GNAT_VERSION:=\1 /p;\
-  s/^Package: libtemplates-parser\([0-9.]\+\)$$/ SOVERSION:=\1    /p;\
-  ' debian/control),$(eval $(line)))
+SOVERSION != sed -n \
+  '/^Package: libtemplates-parser\([0-9.]\+\)$$/{s//\1/p;q}' debian/control
 
 DPKG_EXPORT_BUILDFLAGS := 1
 DEB_BUILD_MAINT_OPTIONS := hardening=+all
@@ -30,9 +28,11 @@
   -Wl,--no-allow-shlib-undefined \
   -Wl,--no-copy-dt-needed-entries \
   -Wl,--no-undefined
+DEB_GPRBUILDFLAGS_NO_J := 1
 include /usr/share/dpkg/architecture.mk
 include /usr/share/dpkg/buildflags.mk
-include /usr/share/ada/debian_packaging-$(GNAT_VERSION).mk
+include /usr/share/dpkg/buildopts.mk
+include /usr/share/ada/debian_packaging.mk
 
 # Some options are stored into makefile.setup, but some are not.
 # All written options are read back, but some are overriden.
@@ -40,9 +40,15 @@
 MAKE_OPTS := \
   VERSION=$(SOVERSION) \
   DEFAULT_LIBRARY_TYPE=relocatable \
-  GPRBUILD='gprbuild $(filter-out -j$(BUILDER_JOBS),$(BUILDER_OPTIONS))' \
-  PROCESSORS=$(BUILDER_JOBS) \
+  GPRBUILD='gprbuild $(GPRBUILDFLAGS)' \
+  $(addprefix PROCESSORS=,$(DEB_BUILD_OPTION_PARALLEL)) \
+  $(addprefix SPHINXOPTS=-j,$(DEB_BUILD_OPTION_PARALLEL)) \
   DOC_FORMATS="html info latexpdf text"
+
+# Force detection of libxmlada (Makefile searches for xmlada.gpr which
+# is provided by libxmlada-schema, but there is no other reason to
+# depend on the -schema component.  Merge request pending).
+MAKE_OPTS += TP_XMLADA=Installed
 
 ######################################################################
 %:
@@ -50,12 +56,14 @@
 
 .PHONY: override_dh_auto_build-arch
 override_dh_auto_build-arch:
-	$(MAKE) $(MAKE_OPTS)
+	dh_auto_build -- $(MAKE_OPTS)
 
 .PHONY: override_dh_auto_build-indep
 override_dh_auto_build-indep:
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
-	$(MAKE) build-doc $(MAKE_OPTS) SPHINXOPTS=-j$(BUILDER_JOBS)
+  # Parallelism in Make would create a race condition between sphinx
+  # processes.  Anyway, sphinx already uses parallelism.
+	$(MAKE) build-doc $(MAKE_OPTS)
 endif
 
 # Skip tests, they assume that the executables are in the PATH.
@@ -76,7 +84,7 @@
  # - the generated project will not contain with "xmlada_*.gpr".
  # This is OK as long as XMLAda is only used in bodies and not in specs.
 	dh_ada_library \
-	  PRJ_BUILD=release TP_XMLADA=Installed LIBRARY_TYPE=relocatable \
+	  PRJ_BUILD=Release TP_XMLADA=Installed LIBRARY_TYPE=relocatable \
 	  TARGET=$(DEB_HOST_GNU_TYPE) templates_parser.gpr
 
 # Prevent a warning about doc-main-package autodetection.
